//////////////////////////////////////////////////////////////////////
//
// ComPort.h: interface for the CComPort class
//
//////////////////////////////////////////////////////////////////////

#if !defined(_COMPORT_H_)
#define _COMPORT_H_

#include <windows.h>

void ComPort_PresetParameters(DWORD baud,BYTE databits,BYTE parity,BYTE stopbits);
BOOL ComPort_ChangeParameters(DWORD baud,BYTE databits,BYTE parity,BYTE stopbits);
BOOL ComPort_Open(char *name);
void ComPort_Close(void);
DWORD ComPort_CheckInQueue(void);
int  ComPort_GetByte(DWORD dwMilliseconds);
BOOL ComPort_PutByte(BYTE byt);
DWORD ComPort_ReadBlock(LPBYTE lpBuffer,DWORD nMax);
BOOL ComPort_WriteBlock(LPBYTE lpBuffer,DWORD dwBufferLength);
BOOL ComPort_GetOpenedStatus(void);

#endif // !defined(_COMPORT_H_)
